Company logoTrust Center Documentation
API v1 ReferenceIntegrationsDocusignTemplates

List DocuSign templates

Fetches templates for a DocuSign account and augments templates with signer role names when available. Emits eventName…

Fetches templates for a DocuSign account and augments templates with signer role names when available. Emits eventName integrations.docusign.fetch_templates and failureEventName integrations.docusign.fetch_templates_failed.

POST
/api/v1/integrations/docusign/templates

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/docusign/templates" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "accountId": "1234567",
    "templates": [
      {
        "id": "template-1",
        "name": "NDA Template",
        "description": "Mutual NDA",
        "accountId": "1234567",
        "updatedAt": "2026-02-20T08:00:00.000Z",
        "roleNames": [
          "Signer",
          "Counterparty"
        ]
      }
    ]
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty
{
  "error": "string",
  "code": "string",
  "data": {}
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty

How is this guide?